# Proyecto de Laboratorio Clínico (LIMS)

Este proyecto contiene el desarrollo de un módulo de gestión de laboratorios clínicos para Odoo 18.

## Desarrollo

### Hook de Pre-Commit

Para asegurar la integridad de los commits y evitar que se suban cambios incompletos, este repositorio incluye un hook de `pre-commit`.

**Propósito:**
El hook revisa automáticamente si existen archivos modificados que no han sido agregados al "staging area" cada vez que se intenta realizar un commit. Si se detectan cambios sin agregar, el commit es abortado.

**Instalación (Obligatoria para todos los desarrolladores):**

Para activar el hook en tu copia local del repositorio, ejecuta los siguientes comandos desde la raíz del proyecto:

```bash
# Copia el hook desde el directorio de scripts a tu directorio local de git
cp scripts/hooks/pre-commit .git/hooks/

# Dale permisos de ejecución (necesario en macOS y Linux)
chmod +x .git/hooks/pre-commit
```

Una vez instalado, el hook se ejecutará en cada commit, ayudando a mantener un historial de cambios limpio y completo.
