# -*- coding: utf-8 -*-
{
    'name': "Gestión de Laboratorio Clínico (LIMS)",
    'summary': """
        Módulo para la gestión integral de un laboratorio clínico, desde la
        recepción de pacientes hasta la entrega de resultados.""",
    'description': """
        Este módulo cubre todo el flujo de trabajo de un laboratorio clínico:
        - Registro de pacientes y órdenes de laboratorio.
        - Gestión y trazabilidad de muestras.
        - Ingreso y validación de resultados.
        - Generación de informes en PDF.
        - Integración con Facturación, Ventas e Inventario de Odoo.
    """,
    'author': "Gemini",
    'website': "https://gitea.grupoconsiti.com/luis_portillo/clinical_laboratory",
    'category': 'Industries',
    'version': '18.0.1.0.0',
    'depends': ['base', 'product', 'sale', 'stock', 'base_setup'],
    'assets': {
        'web.assets_backend': [
            'lims_management/static/src/css/lims_test.css',
        ],
    },
    'data': [
        'security/lims_security.xml',
        'security/ir.model.access.csv',
        'data/ir_sequence.xml',
        'data/product_category.xml',
        'data/sample_types.xml',
        'data/lims_sequence.xml',
        'data/rejection_reason_data.xml',
        'views/partner_views.xml',
        'views/analysis_views.xml',
        'views/sale_order_views.xml',
        'views/rejection_reason_views.xml',
        'wizards/sample_rejection_wizard_views.xml',
        'views/stock_lot_views.xml',
        'views/lims_test_views.xml',
        'views/lims_result_views.xml',
        'views/lims_result_bulk_entry_views.xml',
        'views/res_config_settings_views.xml',
        'views/product_template_parameter_views.xml',
        'views/parameter_range_views.xml',
        'views/analysis_parameter_views.xml',
        'views/product_template_parameter_config_views.xml',
        'views/parameter_dashboard_views.xml',
        'views/dashboard_views.xml',
        'views/menus.xml',
        'views/lims_config_views.xml',
        'report/sample_label_report.xml',
        'reports/lab_results_report_data.xml',
        'reports/lab_results_report.xml',
    ],
    'demo': [
        'demo/demo_users.xml',
        'demo/z_lims_demo.xml',
        'demo/z_analysis_demo.xml',
        'demo/z_sample_demo.xml',
        'demo/parameter_demo.xml',
        'demo/parameter_range_demo.xml',
        'demo/analysis_parameter_config_demo.xml',
        'demo/z_automatic_generation_demo.xml',
    ],
    'installable': True,
    'application': True,
    'auto_install': False,
    'license': 'LGPL-3',
}
