# -*- coding: utf-8 -*-
from odoo import models, fields, api


class ResConfigSettings(models.TransientModel):
    _inherit = 'res.config.settings'
    
    lims_require_validation = fields.Boolean(
        string='Requerir Validación de Resultados',
        help='Si está activado, los resultados de las pruebas deben ser validados por un administrador antes de considerarse finales.',
        config_parameter='lims_management.require_validation',
        default=True
    )
    
    lims_auto_generate_tests = fields.Boolean(
        string='Generar Pruebas Automáticamente',
        help='Si está activado, se generarán automáticamente registros de pruebas (lims.test) cuando se confirme una orden de laboratorio.',
        config_parameter='lims_management.auto_generate_tests',
        default=False
    )